{% load static %}
<!DOCTYPE  html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous">
        </script>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
            integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
            integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous">
        </script>
    
        <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.17.0/dist/jquery.validate.min.js"></script>
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
            integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">


        <title>
        {%block title%}
            
        {% endblock %}
        </title>
        <script>
        {% block functions%}
        {% endblock%}
        </script>
    </head>
    <body>
    
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand"> Tienda Electronica | </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
            <li class="nav-item {% if request.path == '/' %} active {% endif %}">
                <a class="nav-link" href="{% url 'tienda:index' %}">Módulo Vendedor</a>
            </li>
            <li class="nav-item {% if request.path == '/administracion/' %} active {% endif %}">
                <a class="nav-link" href="{% url 'administracion:home' %}">Módulo Administracion</a>
            </li>
            </ul>
            

            

        </div>   
        {% if request.user.is_authenticated%}
                <span>Hola, {{request.user}} - <a href="{%url 'administracion:logout' %}">Cerrar sesión</a></span>
        {% else %}
                <span><a href="{%url 'administracion:login' %}">Iniciar sesión</a> 
                - <a href="{%url 'administracion:registro' %}">Registrarse</a></span>

        {% endif%}     
    </nav>

    {% block body %}

    {% endblock %}

    </body>
</html>